<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Electron Yelp!</title>

    <!-- Font Awesome css-->
    <script src="https://use.fontawesome.com/15c3a0d9cf.js"></script>

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.2.0/dist/leaflet.css"
          integrity="sha512-M2wvCLH6DSRazYeZRIm1JnYyh22purTM+FDB5CsyxtQJYeKq83arPe5wgbNmcFXGqiSH2XR8dT/fJISVA1r/zQ=="
          crossorigin=""/>

    <!-- Make sure you put this AFTER Leaflet's CSS -->
    <script src="https://unpkg.com/leaflet@1.2.0/dist/leaflet.js"
            integrity="sha512-lInM/apFSqyy1o6s89K4iQUKg6ppXEgsVxT35HbzUupEVRh2Eu9Wdl4tHj7dZO0s1uvplcYGmt3498TtHq+log=="
            crossorigin=""></script>


    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyACb2UaGvZrj8h7BBkMCA_BGRxtLTEtSHk&libraries=places"></script>

</head>


<body>

<div id="app">
    Loading...
</div>


</body>

<script>
    var bundlePath = './bundle/renderer.bundle.js';

    //if in DEV mode, create script that that references development server
    //if not in DEV mode, import a bundled version of JS.
    if (typeof process !== 'undefined' && process.env.NODE_ENV === 'DEV') { //if in DEV modee
        const port = process.env.PORT || 8080;
        bundlePath = `http://127.0.0.1:${port}/bundle/renderer.bundle.js`;
        var bundleScriptEl = document.createElement('script');
        bundleScriptEl.src = bundlePath;
        bundleScriptEl.async = true;
        document.currentScript.parentNode.insertBefore(bundleScriptEl, document.currentScript);
    } else {
        require(bundlePath);
    }
</script>


<script>

    if (process && process.env.NODE_ENV === 'DEV') {
        document.title += ' (DEV MODE)';
    }
</script>
</html>
